All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net
Class URL

    com.sas.net.URL

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class URL

implements com.sas.lang.StringDataInterface

A class representing a Uniform Resource Locator on the web.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`URL()` Default constructor for design time.
`URL(java.lang.String name)` Constructor that takes a string and creates an URL object.

Method Summary
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`java.lang.String` | `getText()` Gets the text attribute
`java.net.URL` | `getUrl()` Gets the URL attribute
`void` | `setText(java.lang.String name)` Sets the text attribute and URL object if the URL is valid.
`java.lang.String` | `toString()` Returns the string value of this URL

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### URL

    public URL()

  Default constructor for design time.

### URL

    public URL(java.lang.String name)

  Constructor that takes a string and creates an URL object.

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

### getText

    public java.lang.String getText()

  Gets the text attribute

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`
  Returns:
    String set by the user.

### getUrl

    public java.net.URL getUrl()

  Gets the URL attribute

  Returns:
    a valid URL object

### setText

    public void setText(java.lang.String name)

  Sets the text attribute and URL object if the URL is valid. It tries to make connection and get contents of the URL specified and throws ConnectionRefusedException.

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`
  Parameters:
    `String` - name of the URL
  Throws:
    `ConnectionRefusedException` - when unable to get contents.

### toString

    public java.lang.String toString()

  Returns the string value of this URL

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation of the URL

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.